diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/matrix-topology/matrix-topology.cc ns-3.43/examples/matrix-topology/matrix-topology.cc
--- ns-3.42/examples/matrix-topology/matrix-topology.cc	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/matrix-topology/matrix-topology.cc	2024-10-09 16:41:09.836655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Egemen K. Cetinkaya, Justin P. Rohrer, and Amit Dandekar
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Egemen K. Cetinkaya <ekc@ittc.ku.edu>
  * Author: Justin P. Rohrer    <rohrej@ittc.ku.edu>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/naming/object-names.cc ns-3.43/examples/naming/object-names.cc
--- ns-3.42/examples/naming/object-names.cc	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/naming/object-names.cc	2024-10-09 16:41:09.836655600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 // Network topology
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/realtime/realtime-udp-echo.cc ns-3.43/examples/realtime/realtime-udp-echo.cc
--- ns-3.42/examples/realtime/realtime-udp-echo.cc	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/realtime/realtime-udp-echo.cc	2024-10-09 16:41:09.836655600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 // Network topology
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/realtime/realtime-udp-echo.py ns-3.43/examples/realtime/realtime-udp-echo.py
--- ns-3.42/examples/realtime/realtime-udp-echo.py	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/realtime/realtime-udp-echo.py	2024-10-09 16:41:09.836655600 -0700
@@ -1,16 +1,5 @@
 #
-# * This program is free software; you can redistribute it and/or modify
-# * it under the terms of the GNU General Public License version 2 as
-# * published by the Free Software Foundation;
-# *
-# * This program is distributed in the hope that it will be useful,
-# * but WITHOUT ANY WARRANTY; without even the implied warranty of
-# * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# * GNU General Public License for more details.
-# *
-# * You should have received a copy of the GNU General Public License
-# * along with this program; if not, write to the Free Software
-# * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+# * SPDX-License-Identifier: GPL-2.0-only
 
 # Network topology
 #
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/routing/dynamic-global-routing.cc ns-3.43/examples/routing/dynamic-global-routing.cc
--- ns-3.42/examples/routing/dynamic-global-routing.cc	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/routing/dynamic-global-routing.cc	2024-10-09 16:41:09.836655600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Contributed by:  Luis Cortes (cortes@gatech.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/routing/global-injection-slash32.cc ns-3.43/examples/routing/global-injection-slash32.cc
--- ns-3.42/examples/routing/global-injection-slash32.cc	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/routing/global-injection-slash32.cc	2024-10-09 16:41:09.836655600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/routing/global-routing-multi-switch-plus-router.cc ns-3.43/examples/routing/global-routing-multi-switch-plus-router.cc
--- ns-3.42/examples/routing/global-routing-multi-switch-plus-router.cc	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/routing/global-routing-multi-switch-plus-router.cc	2024-10-09 16:41:09.836655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 - Chip Webb
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Chip Webb  <ns3 (at) chipwebb.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/routing/global-routing-slash32.cc ns-3.43/examples/routing/global-routing-slash32.cc
--- ns-3.42/examples/routing/global-routing-slash32.cc	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/routing/global-routing-slash32.cc	2024-10-09 16:41:09.836655600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/routing/manet-routing-compare.cc ns-3.43/examples/routing/manet-routing-compare.cc
--- ns-3.42/examples/routing/manet-routing-compare.cc	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/routing/manet-routing-compare.cc	2024-10-09 16:41:09.836655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 University of Kansas
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Justin Rohrer <rohrej@ittc.ku.edu>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/routing/mixed-global-routing.cc ns-3.43/examples/routing/mixed-global-routing.cc
--- ns-3.42/examples/routing/mixed-global-routing.cc	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/routing/mixed-global-routing.cc	2024-10-09 16:41:09.836655600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/routing/ripng-simple-network.cc ns-3.43/examples/routing/ripng-simple-network.cc
--- ns-3.42/examples/routing/ripng-simple-network.cc	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/routing/ripng-simple-network.cc	2024-10-09 16:41:09.836655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/routing/rip-simple-network.cc ns-3.43/examples/routing/rip-simple-network.cc
--- ns-3.42/examples/routing/rip-simple-network.cc	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/routing/rip-simple-network.cc	2024-10-09 16:41:09.836655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/routing/simple-alternate-routing.cc ns-3.43/examples/routing/simple-alternate-routing.cc
--- ns-3.42/examples/routing/simple-alternate-routing.cc	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/routing/simple-alternate-routing.cc	2024-10-09 16:41:09.836655600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/routing/simple-global-routing.cc ns-3.43/examples/routing/simple-global-routing.cc
--- ns-3.42/examples/routing/simple-global-routing.cc	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/routing/simple-global-routing.cc	2024-10-09 16:41:09.836655600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/routing/simple-multicast-flooding.cc ns-3.43/examples/routing/simple-multicast-flooding.cc
--- ns-3.42/examples/routing/simple-multicast-flooding.cc	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/routing/simple-multicast-flooding.cc	2024-10-09 16:41:09.836655600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2013 Universita' di Firenze
  * Copyright (c) 2019 Caliola Engineering, LLC : RFC 6621 multicast packet de-duplication
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  * Modified (2019): Jared Dulmage <jared.dulmage@caliola.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/routing/simple-routing-ping6.cc ns-3.43/examples/routing/simple-routing-ping6.cc
--- ns-3.42/examples/routing/simple-routing-ping6.cc	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/routing/simple-routing-ping6.cc	2024-10-09 16:41:09.836655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008-2009 Strasbourg University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: David Gross <gdavid.devel@gmail.com>
  *         Sebastien Vincent <vincent@clarinet.u-strasbg.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/routing/simple-routing-ping6.py ns-3.43/examples/routing/simple-routing-ping6.py
--- ns-3.42/examples/routing/simple-routing-ping6.py	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/routing/simple-routing-ping6.py	2024-10-09 16:41:09.836655600 -0700
@@ -1,18 +1,7 @@
 #
 # Copyright (c) 2008-2009 Strasbourg University
 #
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as
-# published by the Free Software Foundation;
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Author: David Gross <gdavid.devel@gmail.com>
 #         Sebastien Vincent <vincent@clarinet.u-strasbg.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/routing/static-routing-slash32.cc ns-3.43/examples/routing/static-routing-slash32.cc
--- ns-3.42/examples/routing/static-routing-slash32.cc	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/routing/static-routing-slash32.cc	2024-10-09 16:41:09.836655600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/socket/socket-bound-static-routing.cc ns-3.43/examples/socket/socket-bound-static-routing.cc
--- ns-3.42/examples/socket/socket-bound-static-routing.cc	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/socket/socket-bound-static-routing.cc	2024-10-09 16:41:09.836655600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/socket/socket-bound-tcp-static-routing.cc ns-3.43/examples/socket/socket-bound-tcp-static-routing.cc
--- ns-3.42/examples/socket/socket-bound-tcp-static-routing.cc	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/socket/socket-bound-tcp-static-routing.cc	2024-10-09 16:41:09.836655600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/socket/socket-options-ipv4.cc ns-3.43/examples/socket/socket-options-ipv4.cc
--- ns-3.42/examples/socket/socket-options-ipv4.cc	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/socket/socket-options-ipv4.cc	2024-10-09 16:41:09.836655600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 // Network topology
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/socket/socket-options-ipv6.cc ns-3.43/examples/socket/socket-options-ipv6.cc
--- ns-3.42/examples/socket/socket-options-ipv6.cc	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/socket/socket-options-ipv6.cc	2024-10-09 16:41:09.836655600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 // Network topology
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/stats/wifi-example-apps.cc ns-3.43/examples/stats/wifi-example-apps.cc
--- ns-3.42/examples/stats/wifi-example-apps.cc	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/stats/wifi-example-apps.cc	2024-10-09 16:41:09.836655600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Joe Kopena <tjkopena@cs.drexel.edu>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/stats/wifi-example-apps.h ns-3.43/examples/stats/wifi-example-apps.h
--- ns-3.42/examples/stats/wifi-example-apps.h	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/stats/wifi-example-apps.h	2024-10-09 16:41:09.840655800 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Joe Kopena <tjkopena@cs.drexel.edu>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/stats/wifi-example-sim.cc ns-3.43/examples/stats/wifi-example-sim.cc
--- ns-3.42/examples/stats/wifi-example-sim.cc	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/stats/wifi-example-sim.cc	2024-10-09 16:41:09.840655800 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Joe Kopena <tjkopena@cs.drexel.edu>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/tcp/dctcp-example.cc ns-3.43/examples/tcp/dctcp-example.cc
--- ns-3.42/examples/tcp/dctcp-example.cc	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/tcp/dctcp-example.cc	2024-10-09 16:41:09.840655800 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2017-20 NITK Surathkal
  * Copyright (c) 2020 Tom Henderson (better alignment with experiment)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Shravya K.S. <shravya.ks0@gmail.com>
  *          Apoorva Bhargava <apoorvabhargava13@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/tcp/star.cc ns-3.43/examples/tcp/star.cc
--- ns-3.42/examples/tcp/star.cc	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/tcp/star.cc	2024-10-09 16:41:09.840655800 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
